Bug 1314464 - automatic (re)initialization fails if skyringd restarts
automatic (re)initialization fails if skyringd restarts
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: core (Show other bugs)
2
Unspecified Unspecified
unspecified Severity medium
: ---
: 2
Assigned To: gowtham
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-03 11:53 EST by Lubos Trilety
Modified: 2016-08-03 10:30 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ceph-0.0.23-1.el7scon.x86_64, rhscon-core-0.0.24-1.el7scon.x86_64, rhscon-ui-0.0.39-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2016-03-03 11:53:32 EST
Description of problem:
When skyringd is restarted it doesn't (re)start the accept node process for those nodes for which it was not finished when skyringd is stopped.

Version-Release number of selected component (if applicable):
rhscon-core-0.0.8-10.el7.x86_64
rhscon-ui-0.0.19-1.el7.noarch
rhscon-ceph-0.0.6-10.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Click on 'Accept' button for some un-managed node
2. Before the node is completely accepted and initialized restart skyringd service

Actual results:
Node is not re-initialized after skyringd starts again.

Expected results:
Node initialization is (re)started after skyringd starts again.

Additional info:
Comment 2 Nishanth Thomas 2016-03-03 22:40:37 EST
skyringd will not restart any of the tasks which not completed. Ideal case is that USM should go through the list of tasks which are not 'completed' and mark it as failed. Its up to the user to redo the things which are not completed/failed.

So what is the state of task after the restart of skyring? is it failed or still going on?
Comment 3 Lubos Trilety 2016-03-04 03:44:48 EST
(In reply to Nishanth Thomas from comment #2)
> skyringd will not restart any of the tasks which not completed. Ideal case
> is that USM should go through the list of tasks which are not 'completed'
> and mark it as failed. Its up to the user to redo the things which are not
> completed/failed.
> 
> So what is the state of task after the restart of skyring? is it failed or
> still going on?

Still going on, they have "status": 0 in db.
Comment 5 gowtham 2016-05-13 05:11:15 EDT
When skyringd is restarted at that time re-initialization gets triggered for nodes which is initializing state 
https://review.gerrithub.io/#/c/266229/
Comment 6 Lubos Trilety 2016-08-03 10:30:15 EDT
Tested on:
rhscon-core-0.0.39-1.el7scon.x86_64
rhscon-core-selinux-0.0.39-1.el7scon.noarch
rhscon-ceph-0.0.39-1.el7scon.x86_64
rhscon-ui-0.0.51-1.el7scon.noarch

Note You need to log in before you can comment on or make changes to this bug.